Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyAbstractableElementDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyProgramElementDoc`

Direct Known Subclasses:
  `SimpleGroovyClassDoc`, `SimpleGroovyMemberDoc`

public class SimpleGroovyAbstractableElementDoc extends SimpleGroovyProgramElementDoc
Base implementation for documented elements that can carry the `abstract` modifier.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyAbstractableElementDoc(String name)`
  Creates a documented element with the supplied name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAbstract()`
  Indicates whether this element is abstract.
  `void`
  `setAbstract(boolean b)`
  Sets whether this element is abstract.

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- ## Constructor Details

  - ### SimpleGroovyAbstractableElementDoc

    public SimpleGroovyAbstractableElementDoc(String name)
    Creates a documented element with the supplied name.
    Parameters:
      `name` - the element name

- ## Method Details

  - ### setAbstract

    public void setAbstract(boolean b)
    Sets whether this element is abstract.
    Parameters:
      `b` - `true` if the element is abstract

  - ### isAbstract

    public boolean isAbstract()
    Indicates whether this element is abstract.
    Returns:
      `true` if the element is abstract